libetonyek::KEY2ParserState Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEY2ParserState Class Reference

`#include <KEY2ParserState.h>`

Inheritance diagram for libetonyek::KEY2ParserState:

## Public Member Functions
| KEY2ParserState (KEY2Parser &parser, KEYCollector &collector, KEY2Dictionary &dict)
KEY2Dictionary & | getDictionary ()
KEYCollector & | getCollector ()
Public Member Functions inherited from libetonyek::IWORKXMLParserState
| IWORKXMLParserState (IWORKParser &parser, IWORKCollector &collector, IWORKDictionary &dict)
IWORKParser & | getParser ()
IWORKDictionary & | getDictionary ()
IWORKCollector & | getCollector () const
const IWORKTokenizer & | getTokenizer () const

## Private Member Functions
| KEY2ParserState (const KEY2ParserState &)
KEY2ParserState & | operator= (const KEY2ParserState &)

## Private Attributes
KEY2Dictionary & | m_dict
KEYCollector & | m_collector

## Additional Inherited Members
Public Attributes inherited from libetonyek::IWORKXMLParserState
IWORKTableDataPtr_t | m_tableData
IWORKStylesheetPtr_t | m_stylesheet
bool | m_enableCollector
IWORKTableNameMapPtr_t | m_tableNameMap
IWORKLanguageManager | m_langManager
boost::shared_ptr< IWORKTable > | m_currentTable
boost::shared_ptr< IWORKText > | m_currentText

## Constructor & Destructor Documentation

libetonyek::KEY2ParserState::KEY2ParserState | ( | const KEY2ParserState & |  | ) |
| private

libetonyek::KEY2ParserState::KEY2ParserState | ( | KEY2Parser & | parser,
|  | KEYCollector & | collector,
|  | KEY2Dictionary & | dict
| ) |  |

## Member Function Documentation

KEYCollector & libetonyek::KEY2ParserState::getCollector | ( |  | ) |

KEY2Dictionary & libetonyek::KEY2ParserState::getDictionary | ( |  | ) |

KEY2ParserState& libetonyek::KEY2ParserState::operator= | ( | const KEY2ParserState & |  | ) |
| private

## Member Data Documentation

KEYCollector& libetonyek::KEY2ParserState::m_collector
| private

Referenced by getCollector().

KEY2Dictionary& libetonyek::KEY2ParserState::m_dict
| private

Referenced by getDictionary().

The documentation for this class was generated from the following files:

- KEY2ParserState.h
- KEY2ParserState.cpp